---
apiVersion: config.openshift.io/v1
items:
- apiVersion: config.openshift.io/v1
  kind: Authentication
  metadata:
    annotations:
      include.release.openshift.io/ibm-cloud-managed: "true"
      include.release.openshift.io/self-managed-high-availability: "true"
      release.openshift.io/create-only: "true"
    creationTimestamp: "2025-10-27T11:18:18Z"
    generation: 2
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:include.release.openshift.io/ibm-cloud-managed: {}
            f:include.release.openshift.io/self-managed-high-availability: {}
            f:release.openshift.io/create-only: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"d36bdf59-d268-4238-afb0-5e0b21cca1a4"}: {}
        f:spec: {}
      manager: cluster-version-operator
      operation: Update
      time: "2025-10-27T11:18:18Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:spec:
          f:oauthMetadata:
            .: {}
            f:name: {}
          f:serviceAccountIssuer: {}
          f:type: {}
          f:webhookTokenAuthenticator:
            .: {}
            f:kubeConfig:
              .: {}
              f:name: {}
      manager: authentication-operator
      operation: Update
      time: "2025-10-27T11:32:28Z"
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          .: {}
          f:integratedOAuthMetadata:
            .: {}
            f:name: {}
      manager: authentication-operator
      operation: Update
      subresource: status
      time: "2025-10-27T11:40:45Z"
    name: cluster
    ownerReferences:
    - apiVersion: config.openshift.io/v1
      kind: ClusterVersion
      name: version
      uid: d36bdf59-d268-4238-afb0-5e0b21cca1a4
    resourceVersion: "19306"
    uid: 46486955-275d-4cd4-a5ac-25fa0b293042
  spec:
    oauthMetadata:
      name: ""
    serviceAccountIssuer: ""
    type: ""
    webhookTokenAuthenticator:
      kubeConfig:
        name: webhook-authentication-integrated-oauth
  status:
    integratedOAuthMetadata:
      name: oauth-openshift
kind: AuthenticationList
metadata:
  continue: ""
  resourceVersion: "2219522"
